<template>
  <el-dialog v-model="shenHeDialog" title="审核信息" @close="emit('close')">
    <el-descriptions border style="width: 100%" title="基本信息">
      <el-descriptions-item label="申请时间">{{ props.data.reqOpName }}</el-descriptions-item>
      <el-descriptions-item label="申请时间">{{ props.data.reqOpDate }}</el-descriptions-item>
      <el-descriptions-item label="申请备注">{{ props.data.reqRemark }}</el-descriptions-item>
      <el-descriptions-item label="审核人">{{ props.data.auditName }}</el-descriptions-item>
      <el-descriptions-item label="审核时间">{{ props.data.auditDate }}</el-descriptions-item>
      <el-descriptions-item label="审核备注">
        <b style="color: red;font-size: 16px;">
          {{ props.data.auditRemark }}
        </b>
      </el-descriptions-item>
      <el-descriptions-item label="审核状态">{{ shenHeZhuangTai(props.data.auditFlag) }}</el-descriptions-item>
    </el-descriptions>
  </el-dialog>
</template>

<script name="ShenHeXinXi" setup>
const props = defineProps({
  data: {},
})
const emit = defineEmits(['close'])

const shenHeDialog = ref(true)

function shenHeZhuangTai(val) {
  switch (val) {
    case 0:
      return '待审核'
    case 1:
      return '审核通过'
    case 2:
      return '驳回'
    case 3:
      return '正在审核'
  }
}
</script>

<style scoped></style>
